#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file '/home/tluebke/kwlan/src/kdialupconfig.ui'
**
** Created: Mo Jul 24 20:40:57 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kdialupconfig.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a dialupConfig as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
dialupConfig::dialupConfig( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "dialupConfig" );
    dialupConfigLayout = new QGridLayout( this, 1, 1, 11, 6, "dialupConfigLayout"); 

    layout8 = new QHBoxLayout( 0, 0, 6, "layout8"); 

    pbOk = new QPushButton( this, "pbOk" );
    layout8->addWidget( pbOk );

    pbCancel = new QPushButton( this, "pbCancel" );
    layout8->addWidget( pbCancel );
    spacer1 = new QSpacerItem( 50, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout8->addItem( spacer1 );

    dialupConfigLayout->addLayout( layout8, 1, 0 );

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    layout6 = new QVBoxLayout( 0, 0, 6, "layout6"); 

    txtProfileName = new QLabel( this, "txtProfileName" );
    layout6->addWidget( txtProfileName );

    textLabel2 = new QLabel( this, "textLabel2" );
    layout6->addWidget( textLabel2 );

    txtInterfaceLabel3 = new QLabel( this, "txtInterfaceLabel3" );
    layout6->addWidget( txtInterfaceLabel3 );

    txtphonNumber = new QLabel( this, "txtphonNumber" );
    layout6->addWidget( txtphonNumber );

    txtUsername = new QLabel( this, "txtUsername" );
    layout6->addWidget( txtUsername );

    textLabel5 = new QLabel( this, "textLabel5" );
    layout6->addWidget( textLabel5 );
    layout7->addLayout( layout6 );

    layout5 = new QVBoxLayout( 0, 0, 6, "layout5"); 

    leProfileName = new QLineEdit( this, "leProfileName" );
    layout5->addWidget( leProfileName );

    cbConnectionType = new QComboBox( FALSE, this, "cbConnectionType" );
    layout5->addWidget( cbConnectionType );

    cbInterface = new QComboBox( FALSE, this, "cbInterface" );
    layout5->addWidget( cbInterface );

    lePhoneNumber = new QLineEdit( this, "lePhoneNumber" );
    layout5->addWidget( lePhoneNumber );

    leUsername = new QLineEdit( this, "leUsername" );
    layout5->addWidget( leUsername );

    lePassword = new QLineEdit( this, "lePassword" );
    lePassword->setEchoMode( QLineEdit::Password );
    layout5->addWidget( lePassword );
    layout7->addLayout( layout5 );

    dialupConfigLayout->addLayout( layout7, 0, 0 );
    languageChange();
    resize( QSize(324, 244).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cbConnectionType, SIGNAL( highlighted(const QString&) ), this, SLOT( fillInterfaces(const QString&) ) );
    connect( pbCancel, SIGNAL( clicked() ), this, SLOT( cancel() ) );
    connect( pbOk, SIGNAL( clicked() ), this, SLOT( ok() ) );

    // tab order
    setTabOrder( leProfileName, cbConnectionType );
    setTabOrder( cbConnectionType, cbInterface );
    setTabOrder( cbInterface, lePhoneNumber );
    setTabOrder( lePhoneNumber, leUsername );
    setTabOrder( leUsername, lePassword );
    setTabOrder( lePassword, pbOk );
    setTabOrder( pbOk, pbCancel );
}

/*
 *  Destroys the object and frees any allocated resources
 */
dialupConfig::~dialupConfig()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void dialupConfig::languageChange()
{
    setCaption( tr2i18n( "Dialup Network Configuration" ) );
    pbOk->setText( tr2i18n( "&Ok" ) );
    pbOk->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    pbCancel->setText( tr2i18n( "C&ancel" ) );
    pbCancel->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    txtProfileName->setText( tr2i18n( "Profile name" ) );
    textLabel2->setText( tr2i18n( "Connection Type" ) );
    txtInterfaceLabel3->setText( tr2i18n( "Interface" ) );
    txtphonNumber->setText( tr2i18n( "Phone number" ) );
    txtUsername->setText( tr2i18n( "Username" ) );
    textLabel5->setText( tr2i18n( "Password" ) );
    cbConnectionType->clear();
    cbConnectionType->insertItem( tr2i18n( "PPPOE (DSL)" ) );
    cbConnectionType->insertItem( tr2i18n( "ISDN" ) );
    cbConnectionType->insertItem( tr2i18n( "Analog" ) );
}

void dialupConfig::fillInterfaces(const QString&)
{
    qWarning( "dialupConfig::fillInterfaces(const QString&): Not implemented yet" );
}

void dialupConfig::ok()
{
    qWarning( "dialupConfig::ok(): Not implemented yet" );
}

void dialupConfig::cancel()
{
    qWarning( "dialupConfig::cancel(): Not implemented yet" );
}

#include "kdialupconfig.moc"
